Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
DirectEntry Class Reference
Inheritance diagram for DirectEntry:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| autoCapitalizeFunc (self)
| commandFunc (self, event)
| destroy (self)
| enterText (self, text)
| failedCommandFunc (self, event)
| focusInCommandFunc (self)
| focusOutCommandFunc (self)
| get (self, plain=False)
| getBounds (self, state=0)
| getCursorPosition (self)
| getFont (self)
| getNumCharacters (self)
| set (self, text)
| setBackgroundFocus (self)
| setClickSound (self)
| setCursorKeysActive (self)
| setCursorPosition (self, pos)
| setFocus (self)
| setObscureMode (self)
| setOverflowMode (self)
| setRolloverSound (self)
| setup (self)
| updateNumLines (self)
| updateWidth (self)
Public Member Functions inherited from DirectFrame
| __init__ (self, parent=None, **kw)
| clearGeom (self)
| clearImage (self)
| clearText (self)
| setGeom (self, geom=None)
| setImage (self, image=None)
| setText (self, text=None)
Public Member Functions inherited from DirectGuiWidget
| __init__ (self, parent=None, **kw)
| copyOptions (self, other)
| disableEdit (self)
| editStart (self, event)
| editStop (self, event)
| enableEdit (self)
| frameInitialiseFunc (self)
| getCenter (self)
| getFrameType (self, state=0)
| getHeight (self)
| getWidth (self)
| guiDragTask (self, state)
| guiScaleTask (self, state)
| printConfig (self, indent=0)
| resetFrameSize (self)
| setBorderUvWidth (self)
| setBorderWidth (self)
| setFrameColor (self)
| setFrameSize (self, fClearFrame=0)
| setFrameTexture (self)
| setFrameVisibleScale (self)
| setProp (self, propString, value)
| setRelief (self, fSetStyle=1)
| setState (self)
| taskName (self, idString)
| uniqueName (self, idString)
| updateFrameStyle (self)
Public Member Functions inherited from DirectGuiBase
| __init__ (self)
| __setitem__ (self, key, value)
| addoptions (self, optionDefs, optionkeywords)
| bind (self, event, command, extraArgs=[])
| cget (self, option)
| component (self, name)
| components (self)
| configure (self, option=None, **kw)
| createcomponent (self, componentName, componentAliases, componentGroup, widgetClass, *widgetArgs, **kw)
| defineoptions (self, keywords, optionDefs, dynamicGroups=())
| destroycomponent (self, name)
| hascomponent (self, component)
| initialiseoptions (self, myClass)
| isinitoption (self, option)
| options (self)
| postInitialiseFunc (self)
| unbind (self, event)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| autoCapitalizeAllowPrefixes
| autoCapitalizeForcePrefixes = True
| guiItem
bool | unicodeText = True
Public Attributes inherited from DirectGuiWidget
list | bounds = self['frameSize']
| editStart
| editStop
| ll
| printConfig
| stateNodePath = self.guiDict.get(parts[-1])
| ur
Public Attributes inherited from DirectGuiBase
int | fInit = 1
str | guiId = 'guiObject'
list | postInitialiseFuncList = []

## Static Public Attributes
tuple | AllowCapNamePrefixes
| directWtext = ConfigVariableBool('direct-wtext', 1)
tuple | ForceCapNamePrefixes = ("D'", "DeLa", "Dell'", "L'", "M'", "Mc", "O'", )
Static Public Attributes inherited from DirectFrame
tuple | DefDynGroups = ('text', 'geom', 'image')
Static Public Attributes inherited from DirectGuiWidget
float | gridSpacing = 0.05
dict | guiDict = {}
| guiEdit = ShowBaseGlobal.config.GetBool('direct-gui-edit', False)
| inactiveInitState = DGG.NORMAL
int | snapToGrid = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Member Functions
| _autoCapitalize (self)
| _handleErasing (self, guiEvent)
| _handleTyping (self, guiEvent)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
| _handleErasing
| _handleTyping
Protected Attributes inherited from DirectGuiBase
dict | _constructorKeywords = tmp
tuple | _dynamicGroups = ()
dict | _optionInfo = {}
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    DirectEntry(parent) - Create a DirectGuiWidget which responds
    to keyboard buttons

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ _autoCapitalize()

_autoCapitalize | ( |  | self | ) |
| protected

## ◆ _handleErasing()

_handleErasing | ( |  | self,
|  |  | guiEvent )
| protected

## ◆ _handleTyping()

_handleTyping | ( |  | self,
|  |  | guiEvent )
| protected

## ◆ autoCapitalizeFunc()

autoCapitalizeFunc | ( |  | self | ) |

## ◆ commandFunc()

commandFunc | ( |  | self,
|  |  | event )

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented from DirectFrame.

## ◆ enterText()

enterText | ( |  | self,
|  |  | text )

     sets the entry's text, and moves the cursor to the end

## ◆ failedCommandFunc()

failedCommandFunc | ( |  | self,
|  |  | event )

## ◆ focusInCommandFunc()

focusInCommandFunc | ( |  | self | ) |

## ◆ focusOutCommandFunc()

focusOutCommandFunc | ( |  | self | ) |

## ◆ get()

get | ( |  | self,
|  |  | plain = False )

     Returns the text currently showing in the typable region.
    If plain is True, the returned text will not include any
    formatting characters like nested color-change codes.

## ◆ getBounds()

getBounds | ( |  | self,
|  |  | state = 0 )

Reimplemented from DirectGuiWidget.

## ◆ getCursorPosition()

getCursorPosition | ( |  | self | ) |

## ◆ getFont()

getFont | ( |  | self | ) |

## ◆ getNumCharacters()

getNumCharacters | ( |  | self | ) |

## ◆ set()

set | ( |  | self,
|  |  | text )

     Changes the text currently showing in the typable region;
    does not change the current cursor position.  Also see
    enterText().

## ◆ setBackgroundFocus()

setBackgroundFocus | ( |  | self | ) |

## ◆ setClickSound()

setClickSound | ( |  | self | ) |

## ◆ setCursorKeysActive()

setCursorKeysActive | ( |  | self | ) |

## ◆ setCursorPosition()

setCursorPosition | ( |  | self,
|  |  | pos )

## ◆ setFocus()

setFocus | ( |  | self | ) |

## ◆ setObscureMode()

setObscureMode | ( |  | self | ) |

## ◆ setOverflowMode()

setOverflowMode | ( |  | self | ) |

## ◆ setRolloverSound()

setRolloverSound | ( |  | self | ) |

## ◆ setup()

setup | ( |  | self | ) |

## ◆ updateNumLines()

updateNumLines | ( |  | self | ) |

## ◆ updateWidth()

updateWidth | ( |  | self | ) |

## Member Data Documentation

## ◆ _handleErasing

_handleErasing
| protected

## ◆ _handleTyping

_handleTyping
| protected

## ◆ AllowCapNamePrefixes

tuple AllowCapNamePrefixes
| static

Initial value:
= ("Al", "Ap", "Ben", "De", "Del", "Della", "Delle", "Der", "Di", "Du",
"El", "Fitz", "La", "Las", "Le", "Les", "Lo", "Los",
"Mac", "St", "Te", "Ten", "Van", "Von", )

## ◆ autoCapitalizeAllowPrefixes

autoCapitalizeAllowPrefixes

## ◆ autoCapitalizeForcePrefixes

autoCapitalizeForcePrefixes = True

## ◆ directWtext

directWtext = ConfigVariableBool('direct-wtext', 1)
| static

## ◆ ForceCapNamePrefixes

tuple ForceCapNamePrefixes = ("D'", "DeLa", "Dell'", "L'", "M'", "Mc", "O'", )
| static

## ◆ guiItem

guiItem

## ◆ unicodeText

bool unicodeText = True